package co.dc.aptiv.pojo;

import java.io.Serializable;

import co.dc.commons.annotation.Transient;
import co.dc.commons.basedao.CommonPojoAbstract;
import co.dc.commons.utils.DateTimeUtil;

/**
 * @describe: 单据
 * @author: liuxinglong
 * @version: 2018/4/17 15:21
 */
public class BillPojo extends CommonPojoAbstract implements Serializable {
    private static final long serialVersionUID = 1L;
    @Transient
    public static final String tableName = "bill";

    @Override
    public String getTableName() {
        return tableName;
    }

    private long id;
    /**
     * 单据编号
     */
    private String billCode;
    /**
     * 物料
     */
    private Long materielId;
    /**
     * 打印总数
     */
    private Integer number ;
    /**
     * 合格数
     */
    private Integer qualifiedNum;
    /**
     * 不合格数
     */
    private Integer UnqualifiedNum;
    /**
     * 单据状态
     */
    private Integer state;
    /**
     * 创建时间
     */
    private String createTime = DateTimeUtil.getDateTimeString();
    /**
     * 修改时间
     */
    private String modifyTime = DateTimeUtil.getDateTimeString();
    /**
     * 是否删除
     */
    private Integer delFlag;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getBillCode() {
        return billCode;
    }

    public void setBillCode(String billCode) {
        this.billCode = billCode;
    }

    public Long getMaterielId() {
        return materielId;
    }

    public void setMaterielId(Long materielId) {
        this.materielId = materielId;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public Integer getQualifiedNum() {
        return qualifiedNum;
    }

    public void setQualifiedNum(Integer qualifiedNum) {
        this.qualifiedNum = qualifiedNum;
    }

    public Integer getUnqualifiedNum() {
        return UnqualifiedNum;
    }

    public void setUnqualifiedNum(Integer unqualifiedNum) {
        UnqualifiedNum = unqualifiedNum;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}
